﻿# You can place the script of your game in this file.
init python:
    def callback(event, **kwargs):
        if event == "show":
            renpy.music.play("shot3.mp3", channel="sound")
        elif event == "slow_done" or event == "end":
            renpy.music.stop(channel="sound")

$ slow_dissolve = Dissolve(3.0)

# Declare images below this line, using the image statement.
image bg black = "black.png"
image bg office = "office.png"
image bg pillows = "pillows.png"
image bg apartment = "apartment.png"
image bg door = "door.png"
image reg = "reg5.png"
image arnie = "arnie1.png"
image tommy = "tommy1.png"

# Declare characters used by this game.
define v = Character('Vince', color="#c0c0c0", callback=callback, ctc = anim.Blink("gunsmall.png"))
define r = Character('Reg', color="#c0c0c0", callback=callback, ctc = anim.Blink("gunsmall.png"))
define a = Character('Arnie', color="#c0c0c0", callback=callback, ctc = anim.Blink("gunsmall.png"))
define ai = Character('Arnie', color="#c0c0c0", ctc = anim.Blink("gunsmall.png"))
define t = Character('Tommy', color="#c0c0c0", callback=callback, ctc = anim.Blink("gunsmall.png"))

# The game starts here.
label start:
    $ A = 0          
    
    
scene bg office 
v "Don't get me wrong-- I ain't sayin' Arnie's not a good guy, you know?"
v "He's a good guy.  He's loyal, he's big, he's tough."
v "He scares some other guys--{w=0.1}he's a great fighter, everybody knows that."
v "But he just ain't a killer.  {w=0.1}And in this business--what I need for my business is, I need a killer."

r "What do you mean he ain't a killer? {w=0.1}What are you tryna tell me here Vince?"
    
v "I don't know what to say Reg.  Some guys is, some guys ain't.  {w=0.1}Some guys when they punch a guy you can see in their eyes they're tryna punch straight through that guy's skull."
v "Arnie ain't that kinda guy."

r "What, you ain't seen him punch a guy before?"

v "Oh I seen him punch a guy.  But when he's punchin' a guy he's just punchin' a guy. {w=0.1} He ain't tryna kill the guy because he ain't a killer."

r "I see what you're saying Vince, but I think you're wrong about him."

v "I ain't wrong.  {w=0.2}If there's one thing I know, I know guys.  And that guy ain't a killer."

r "You're making a big mistake here, Vin, I gotta say."

v "It's not a mistake."

r "This guy-- you know he's a fighter.  {w=0.1}You seen him fight yourself."
r "And poor guy like him?  Ain't got no money, ain't got no family, ain't got no {i}nothin'{/i}"
r "He's perfect, Vin.  {w=0.2}Give him a test, you don't believe me.  This guy's a killer.  {w=0.1}He is."

v "You ain't gonna shut up about this are ya Reg?  {w=0.1}I swear to God if you weren't my cousin..."

r "Yeah yeah I heard it before.  Quit takin' the Lord's name in vain, your mother would cry if she heard you."

v "Whatever Reg.  {w=0.2}You want me to test him?  I'll give him a test."
v "I got a hit out on Tommy--"

r "Tommy?  {w=0.2}What do you got a hit out on Tommy for?"

v "Hey, who's the boss here?{p}Are you the boss?{p}'Cause last I checked I was still the boss here..."

r "I'm not sayin' you're not the boss, I'm just, you know, {i}wondering{/i} why you'd put a hit on Tommy."

v "Why I put a hit on Tommy is my business.  {w=0.2}Mine.  That means not yours."
v "As far as you're concerned, Tommy's a fucking dead man."

r "Yeah 'cause my guy's gonna kill him."

v "Yeah we'll see.  {w=0.2}I'm telling you now, though, he don't kill Tommy {i}I{/i} kill {i}him{/i}."

r "Really Vin?"

v "Yeah, really.  {w=0.2}So you better be goddamn sure about this kid.\nLet him know what he's gettin' into first, you know?"

r "You know what?  {w=0.2}It don't even matter. 'Cause he's gonna take Tommy out."
r "He'll probably even bring you his head.  You want Tommy's head?"

v "Reg that's disgusting.  You know how big a human head is?"

r "Eight pounds?"

v "And you want me to have an eight pound lump of dead flesh rotting here?  {w=0.1}Stinking up my establishment?"

r "It was a joke, Vin, jeez.  {w=0.2}So what?  A finger then?"

v "Yeah get me his pointer.  So we can match the damn fingerprint and make sure your guy killed the right guy."

r "Don't worry about it he's gonna kill the right guy."

v "Yeah yeah, get out of here Reg."

r "Ok Vince, I will see you later.  And I'll have an extra finger."

v "Didn't I tell you get out?  You're buggin' me now."

play sound "walking.mp3"
with Pause(2.2)

scene bg office
show reg with dissolve
with Pause(0.5)

r "You hear that?"

a "Yeah, some of it."

r "So what, you think you can kill Tommy or what?"

menu:
    " "
    "\"I don't even know who this Tommy guy is\"":
        r "Who cares if you don't know who he is?  {w=0.1}All you gotta do is kill the guy.  It's not like you gotta buy him a birthday present or nothin'."
        a "Ok so where do I find him then?"
        r "He'll probably still be at his apartment.  {w=0.1}Here I'll give you the address.  {w=0.1}Poor sucker probably doesn't even know there's a hit on him yet."
        $ A += 1
    "\"Yeah, course.  No problem.  {w=0.1}Just tell me where to find him.\"":     
        r "That's what I like to hear!"
        r "He'll probably still be at his apartment.  {w=0.1}Here I'll give you the address.  {w=0.1}Poor sucker probably doesn't even know there's a hit on him yet."

a "Got it. {w=0.1}So I'll just go kill this Tommy guy then."

r "Yeah.  {w=0.1}Don't forget to bring back the finger.  {w=0.1}That's very important."

a "Yeah yeah."

scene bg black
with dissolve
if A > 0:
    ai "{i}I don't even know how I got into this business...{/i}"
    ai "{i}One second I'm boxing.  Training for my first title.  {w=0.1}Next second I'm getting accused of using steroids.{/i}"
    ai "{i}I never touched the stuff in my life but somehow the piss test comes up positive and just like that they say I can't box no more.{/i}"
    ai "{i}That's when I meet Reg.  {w=0.1}He comes up to me saying look I know the guys who did this to you Arnie.  {w=0.1}You want the chance to get back at them or what?{/i}"
    ai "{i}And I say might as fucken well.  {w=0.1}It ain't like I got anything better to do.{/i}"
    ai "{i}Now here I am supposed to kill some guy I never even seen before...{/i}"
    ai "{i}Fucken life, right?{/i}"
else:
    ai "{i}I ain't gonna lie. {w=0.1}I always wanted to get into this business.{/i}"
    ai "{i}Fightings fighting you know?  {w=0.1}You get in the ring.  Some guy tries to punch you in your head.  {w=0.1}Your liver.  {w=0.1}Tries to knock you out.{/i}"
    ai "{i}You avoid him long enough, you hit him back, you win.  Toe-to-toe just like that.{/i}"
    ai "{i}But you always gotta be training because {/i}they're{i} always training.  You gotta be fast.  {w=0.1}You gotta guard.{/i}"
    ai "{i}Or you get what?  Concussion.  Fucken punched in the gut.  {w=0.1}Fucken god forbid you get knocked out.  You never fucken live it down you get knocked out.{/i}"
    ai "{i}I never been knocked out but still, you know? {w=0.1}I look at guys that do and I'm like fuck this.{/i}"
    ai "{i}It ain't a fucken life.{/i}"
    ai "{i}I had to fight this guy Millner. {w=0.1}This guy's {/i}fifteen{i} pounds heavier than me.  {w=0.1}Can you believe that shit?  {w=0.1}Fucken {/i}fifteen{i}.{/i}"
    ai "{i}So I do what any fucken sane person would do right?  Plaster my fucken hands.  {w=0.1}And you know what happens? {w=0.1}I break the guy's fucken face.{/i}"
    ai "{i}And then a course everyone finds out and it's this whole big fucken deal.  They tell me I can't box no more and I'm thinkin' well fuck what do I do now?{/i}"
    ai "{i}And then I meet Reg.  {w=0.1}And now he says all I gotta do to get this new job is kill some guy.{/i}"
    ai "{i}Fucken perfect right?  {w=0.1}Like a regular fucken Cinderella story.{/i}"

scene bg door
with dissolve

ai "{i}Might as well just bust in the door.{/i}"
scene bg door
with vpunch
scene bg apartment 
show tommy at Position(xpos=0.7, ypos=0.44, xanchor=0.5, yanchor=0.5)
show arnie at Position(xpos=0.3, ypos=0.44, xanchor=0.5, yanchor=0.5)
t "Hey who the fuck are you?  Who the fuck do you think you are?"
a "It doesn't really matter who the fuck I am does it?"
#Holding a gun
t "Whoa whoa, wait.  {w=0.1}Let's talk for a second huh?  {w=0.1}How's about I'll just have a seat..."
a "Don't fucken move.  You think I'm stupid or what?"
t "Nah, nah.  Look I ain't packin nothing.  Come search me if you want."
ai "{i}This guy... He's in good shape.  {w=0.1}Really good shape.  {w=0.1}He could be a fighter but I dunno. {w=0.1}Almost makes me wonder why he's getting taken out.{/i}"
#Tommy's got his hands up Arnie pats him down
t "Easy with that, you're gonna get me excited."
menu:
    " "
    "\"Excited?  I'll show you excited.\"":
        #kiss scene
        scene bg black
        with dissolve
        scene bg apartment with dissolve
        #show tommy shirtless
        $ A += 2
        t "Well that was... unexpected.  {w=0.1}To say the least."
        a "You saying you didn't have fun or something?"
        t "'Course not...  {w=0.2}Just didn't expect it from a guy coming to kill me."
        a "I guess..."
        t "Yeah, about that... You're not still gonna kill me are you?"
        if A > 1:
            menu:
                " "
                "\"What do you expect?  Boss'll have a hit out on me too if I don't.\"":
                    jump convo
                "\"'Course I am.\"":
                    #show tommy surprised
                    jump end1
        else:
            jump convo
    "\"I thought you wanted to talk\"":   
        jump convo

label convo:
t "Yeah look. I-- {w=0.1}I know who sent you. {w=0.1}Vinnie right?"
a "Don't see how it matters.  Job's the same either way."
t "Look, I used to watch your bouts--always thought you were a great fighter, you know?"
t "What I do's kinda like what you did. {w=0.1}You know why Vinnie wants me dead?"
a "Doesn't seem to be my business."
t "Yeah I heard that before.  {w=0.1}Son of a bitch wants me dead cause I didn't throw a fight I was supposed to throw.  A'right?"
t "You ever throw a fight before? {w=0.1}You think somebody should die just 'cause they didn't wanna pretend to get knocked out."
menu:
    " "
    "\"Yeah.\"":
        jump end1
    "\"No.\"":
        t "That's what I thought.  You and me, we're just alike right?  I could feel it when you walked in the door."
        t "Could feel somethin' else too.."
        if A > 1:
            t "How's about we go again?  Or are you too tired."
            a "I can guarantee you'll get tired before me, kid."
            t "Oh them's fighting words..."
            #kiss scene
            scene bg black
            with dissolve
            jump morning
        else: 
            #tommy walks up to arnie and feels him up
            t "Somethin' {i}hard{/i}..."
            #kiss scene
            scene bg black
            with dissolve
            jump morning
    "\"It's not my place to say.\"":
        t "Well you got the gun.  You're here.  How's about you make it your place?"
        a "Vinnie's gonna put out a hit on me I don't kill you."
        t "Look he ain't gonna check for the body right away.  All he asked for was a--a finger right?  That's what he always asks for."
        a "He'll check for the body eventually."
        t "Yeah but for now you can just, you know, cut off my finger and show it to him.  It'll buy you a couple days and I got an out all set up."
        t "You can come too.  Meet me up after"
        a "Why the hell would I do that?"
        t "You're a fighter.  You think one day Vinnie's not gonna ask you to enter some underground bout. Take some dive like he asked me?"
        t "And it's not just the fighting--nah.  Dirty old bastard's got a thing for good lookin' guys like us, know what I'm sayin'?"
        t "You don't wanna be his bitch til he finds some new meat you're better off comin' with me."
        a "And what'll I be with you huh?"
        t "Whatever you want tough guy.  Me, I'm up for anything.  But look I ain't sayin' you gotta decide right now.  You want you can stay the night.  Decide in the morning."
        menu:
            " "
            "\"What if you sneak off while I'm sleeping?\"":
                t "You really think you're gonna be sleeping?"
                #kiss scene
                scene bg black
                with dissolve
                jump morning
            "\"You're a fighter.  How's about I fight you for it?\"":
                t "Heh.  Ok.  But be ready.  I ain't no pushover."
                #they start fighting
                #ends up in a kiss scene
                scene bg black
                with dissolve
                jump morning
    
label morning:
    scene bg pillows
    with dissolve
    ai "{i}Next day I wake up in this guy's bedroom and I'm thinkin' what the fuck did I just do?  I'm gonna get myself fucken killed.{/i}"
    ai "{i}But this Tommy guy--he's still here.  So I'm thinkin' it's not that bad.{/i}"
    #show tommy shirtless
    t "Hey Sunshine.  How's the view?"
    a "..."
    t "Ah.  I can tell you're not the morning type.  So what'd you decide?"
    menu:
        " "
        "\"Let's get that finger off...\"":
            t "Hang on, hang on.  We got a couple hours.  How's about I make good use of it first?"
            #kiss scene
            #scene bg black with dissolve
            #scene bg bedroom with dissolve
            a "I'm gonna be sorry to see that thing go."
            t "You and me both."
            jump end2
        "\"Sorry.  Fun as you are, I can't risk my head.\"":
            t "Hey-- wait, wait--!"
            jump end1          


label end1:
    play sound "colt.mp3"
    scene bg black with dissolve
    ai "{i}So I shot the guy.  {w=0.1}I cut off his finger and I brought it back to Vinnie, it was good stuff.{/i}"  
    ai "{i}Now I'm a regular in this operation.  Makin' more money than I ever coulda dreamed of.{/i}"
    ai "{i}And that Tommy guy?  I don't think about him.{/i}"
    ai "{i}Just some chump, you know?  Life's a zero sum game.  Someone's always gotta lose.{/i}"
    play sound "ak47.mp3"
    centered "END"
return
    
label end2:
    scene bg black with dissolve
    ai"{i}So I cut off his finger and brought it to Vince  {w=0.1}The old guy believed me when I said Tommy was dead.  Didn't bother checking into it too much.{/i}"  
    ai "{i}Tommy and I figured we got about a day before he figures out Tommy's still alive.{/i}"  
    ai "{i}I'm supposed to meet him out by the old theater.  Says his cousin's got a car we can take out of the state.{/i}"
    ai "{i}I asked Tommy what a guy like me can do when he's not fighting.  Not workin' for some thug.{/i}"  
    ai "{i}Tommy said good lookin' guy like me?  Anything.  But probaby construction or something.  Says he's got friends.  He'll get me set up.{/i}"
    ai "{i}Gotta say the money's not there, but it'll be nice to have a life where I don't gotta worry about any fucken concussions.  Any fucken bullets.  Bein' a bitch.{/i}"
    ai "{i}What's a fucken construction worker gotta worry about?  None a that shit.  Just falling beams I guess.{/i}" 
    ai "{i}Fucken life, right?{/i}"  
    play sound "ak47.mp3"
    centered "END"
return
